org.springframework.web.servlet.view.script

## Interface ScriptTemplateConfig

- All Known Implementing Classes:
    ScriptTemplateConfigurer

      public interface ScriptTemplateConfig

  Interface to be implemented by objects that configure and manage a JSR-223 `ScriptEngine` for automatic lookup in a web environment. Detected and used by `ScriptTemplateView`.
  Since:
    4.2
  Author:
    Sebastien Deleuze

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charset` | `getCharset()` Return the charset used to read script and template files.
    `String` | `getContentType()` Return the content type to use for the response.
    `ScriptEngine` | `getEngine()` Return the `ScriptEngine` to use by the views.
    `String` | `getEngineName()` Return the engine name that will be used to instantiate the `ScriptEngine`.
    `Supplier<ScriptEngine>` | `getEngineSupplier()` Return the engine supplier that will be used to instantiate the `ScriptEngine`.
    `String` | `getRenderFunction()` Return the render function name (optional).
    `String` | `getRenderObject()` Return the object where the render function belongs (optional).
    `String` | `getResourceLoaderPath()` Return the resource loader path(s) via a Spring resource location.
    `String[]` | `getScripts()` Return the scripts to be loaded by the script engine (library or user provided).
    `Boolean` | `isSharedEngine()` Return whether to use a shared engine for all threads or whether to create thread-local engine instances for each thread.

- - ### Method Detail

    - #### getEngine

          @Nullable
          ScriptEngine getEngine()

      Return the `ScriptEngine` to use by the views.

    - #### getEngineSupplier

          @Nullable
          Supplier<ScriptEngine> getEngineSupplier()

      Return the engine supplier that will be used to instantiate the `ScriptEngine`.
      Since:
        5.2

    - #### getEngineName

          @Nullable
          String getEngineName()

      Return the engine name that will be used to instantiate the `ScriptEngine`.

    - #### isSharedEngine

          @Nullable
          Boolean isSharedEngine()

      Return whether to use a shared engine for all threads or whether to create thread-local engine instances for each thread.

    - #### getScripts

          @Nullable
          String[] getScripts()

      Return the scripts to be loaded by the script engine (library or user provided).

    - #### getRenderObject

          @Nullable
          String getRenderObject()

      Return the object where the render function belongs (optional).

    - #### getRenderFunction

          @Nullable
          String getRenderFunction()

      Return the render function name (optional). If not specified, the script templates will be evaluated with `ScriptEngine.eval(String, Bindings)`.

    - #### getContentType

          @Nullable
          String getContentType()

      Return the content type to use for the response.
      Since:
        4.2.1

    - #### getCharset

          @Nullable
          Charset getCharset()

      Return the charset used to read script and template files.

    - #### getResourceLoaderPath

          @Nullable
          String getResourceLoaderPath()

      Return the resource loader path(s) via a Spring resource location.